/***************************************************************
 * Name:      JaffisApp.cpp
 * Purpose:   Code for Application Class
 * Author:    John Q Metro (johnqmetro@hotmail.com)
 * Created:   2009-03-23
 * Updated:   November 24, 2013
 * Copyright: John Q Metro ()
 * License:
 **************************************************************/

#include "JaffisApp.h"

//(*AppHeaders
#include "JaffisMain.h"
#include <wx/image.h>
//*)

#ifndef INITEND_H_INCLUDED
  #include "initend.h"
#endif // INITEND_H_INCLUDED

#include <locale.h>
#include <curl/curl.h>
//***************************************************************************
IMPLEMENT_APP(JaffisApp);

bool JaffisApp::OnInit()
{
  bool wxsOK = true;
  wxInitAllImageHandlers();
  setlocale(LC_ALL,"");
  // this has to be added for threaded apps.
  // wxSocketBase::Initialize();
  curl_global_init(CURL_GLOBAL_DEFAULT);
  if ( wxsOK )
  {
    // post setup tasks
    LoadAtStart();
    // creating the window
  	JaffisFrame* Frame = new JaffisFrame(0);
  	globalsettings::topwindow = Frame;
  	Frame->Show();
  	SetTopWindow(Frame);
  }
  return wxsOK;

}
