/////////////////////////////////////////////////////////////////////////////
// Name:        filter_globals.h
// Author :     John Q Metro
// Purpose :    Declares global filter constants & stuff
// Created:     30.07.06
// Updated:     September 3, 2012
/////////////////////////////////////////////////////////////////////////////

// ----------------------------------------------------------------------------
// headers
// ----------------------------------------------------------------------------
// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

// for all others, include the necessary headers
#ifndef WX_PRECOMP

#endif
// ----------------------------------------------------------------------------
#define JFILTERGLOBALS

#ifndef JFILTERGROUPS
  #include "filter_groups.h"
#endif
//=============================================================================
//===========================================================================
namespace filterglobals {
  const wxString fnamex = wxT("gfilt.dat");
  const size_t ITEM_NLIST = 9;
  extern wxArrayString* fclist[];
  extern jfMapOfFiltermaps* global_filters;
  void LoadStrings();
  void Shutdown();
}
/////////////////////////////////////////////////////////////////////////////
