/******************************************************************************
* Name:        upd_dialogs.h
* Author :     John Q Metro
* Purpose :    Update interface dialogs
* Created:     March 3, 2011
* Updated:     November 30, 2013
******************************************************************************/
#ifndef UPD_DIALOGS_H_INCLUDED
#define UPD_DIALOGS_H_INCLUDED
#endif // UPD_DIALOGS_H_INCLUDED
//---------------------
#ifndef PPANEL_PARTS_H_INCLUDED
  #include "../../interface/threads/ppanel_parts.h"
#endif // PPANEL_PARTS_H_INCLUDED
/*****************************************************************************/
class jfLoadOldDialog : public wxDialog {
  public:
    // the constructor
    jfLoadOldDialog(wxWindow* parent, bool load,wxWindowID id,const wxPoint& pos = wxDefaultPosition,
          const wxSize& size = wxDefaultSize, const wxString& name = wxT("jfLoadOldDialog"));
    // events
    void StartEvent(wxCommandEvent& event);
    void SCatEvent(wxCommandEvent& event);
    void ECatEvent(wxCommandEvent& event);
    void EndEvent(wxCommandEvent& event);
    void MultECats(wxCommandEvent& event);
  protected:
    // helper methods
    void SendDoneSignal();
    // internal GUI data
    jfLabeledGauge* cat_gauge;
    wxBoxSizer* mainsizer;
    bool xload;
    int cvalue;

    DECLARE_EVENT_TABLE()
};//=========================================================================


/*****************************************************************************/
