//**************************************************************************
// Name:        upd_panel2.h
// Author :     John Q Metro
// Purpose :    Fanfiction.Net update search, panel 2, for displaying static search info
// Created:     September 11, 2011
// Updated:     November 4, 2012
//**************************************************************************
#ifndef UPD_PANEL2_H_INCLUDED
#define UPD_PANEL2_H_INCLUDED
#endif // UPD_PANEL2_H_INCLUDED
//-------------------------------------
#ifndef FFNCATPICK2
  #include "../../fanficnet/interface/ffn_catpick2.h"
#endif
#ifndef FFN_PANEL1
  #include "../../fanficnet/interface/ffn_panel1.h"
#endif
//-------------------------------------
//**************************************************************************
class jfFFNUpd_Panel2 : public wxPanel {
  public:
    // the constructor
    jfFFNUpd_Panel2(wxWindow* parent, jfFFNSearch* insearch_data, wxWindowID id = wxID_ANY, const wxString& name = wxT("jfFFNUpd_Panel2"));
    // event handler
    void HandleNewDirectory(wxFileDirPickerEvent& inevent);
  protected:
    // helper methods
    void ArrangePanels(size_t prop1,size_t prop2);
    // gui elements
    jfFFN_DFE* filter_display;
    jfCPickerDispl* category_display;
    jfFFN_ESearchOptions* soptions;
    jfNameDescEditor* nam_desc_e;
    jfDirPicker* dirpicker;
    wxBoxSizer* mainsizer;
    wxBoxSizer* topsizer;
    // linked data
    jfFFNSearch* search_data;
    // event handling
    DECLARE_EVENT_TABLE()
};
//**************************************************************************
