/******************************************************************************
Name    :   multi_threads.cpp
Author  :   John Q Metro
Purpose :   Multi source-category base thread classes
Created :   December 14, 2013
Updated :   January 7, 2013
******************************************************************************/
#ifndef MULTI_THREADS_H_INCLUDED
  #include "multi_threads.h"
#endif // MULTI_THREADS_H_INCLUDED
/*****************************************************************************/
jfMultiDownloadThread::jfMultiDownloadThread():jfMultiThreadMixin<jfDownloadThread>() {}
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
jfMultiSearchThreadBase::jfMultiSearchThreadBase():jfMultiThreadMixin<jfSingleSearchThreadBase>() {}
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// implemented virtual methods
//-----------------------------------
void jfMultiSearchThreadBase::PreFetch2() {}
//-----------------------------------
size_t jfMultiSearchThreadBase::NewPagecount() const {
  return search_results->PageTotal();
}
//-----------------------------------
void jfMultiSearchThreadBase::PostPageAction() {}
/*****************************************************************************/
