/////////////////////////////////////////////////////////////////////////////
// Name:        expr_match.h
// Author :     John Q Metro
// Purpose :    Declares functions that use the expression matches
// Created:     April 1, 2010
// Updated:     April 1, 2010
/////////////////////////////////////////////////////////////////////////////
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif
// ----------------------------------------------------------------------------
#define JFEXPRMATCH

#ifndef JFEXPRSTRUCTS
#include "expr_structs.h"
#endif
#ifndef BASEOBJ_H_INCLUDED
#include "../objs/baseobj.h"
#endif // BASEOBJ_H_INCLUDED
//***************************************************************************

// a matching function that uses everything: title, embedded filters, the works
bool FullItemExprMatch(const jfBasePD* testelem, const jfElemArray* parsedinfo);

// a more limited matching function that works on strings only
bool StringExprMatch(const wxString& teststr, const jfElemArray* parsedinfo);

//***************************************************************************

