/******************************************************************************
Name    :   extrapanels.h
Author  :   John Q Metro
Purpose :   Some additional Progress Panels
Created :   January 8, 2014
Updated :   January 8, 2014
******************************************************************************/
#ifndef EXTRAPANELS_H_INCLUDED
#define EXTRAPANELS_H_INCLUDED
#endif // EXTRAPANELS_H_INCLUDED
//-----------------------------------------------
#ifndef MULTIPANEL_H_INCLUDED
  #include "multipanel.h"
#endif // MULTIPANEL_H_INCLUDED
/*****************************************************************************/
class jfProgressPanelFFNStyle : public jfProgressPanelMultiBase {
  public:
    // constructor
    jfProgressPanelFFNStyle(wxWindow* parent, jf_MPP_Config in_layout, wxString motif_name);
    // some special external methods
    virtual bool Reset();
    // resizer methods
    virtual bool ReduceSize();
    virtual bool UnReduceSize();
    // event handler for the extra button!
    void SpecialStopBtnHandler(wxCommandEvent& event);
  protected:
    // internal helper methods
    virtual void PostFinished();
    virtual void PostFaliure(bool halted);
    virtual void PostStopping();
    virtual void PostStarted();
    // GUI Elements
    wxButton* sstop_btn;
    // internal values
    bool sstop;
    // declare event table
    DECLARE_EVENT_TABLE()
};
/*****************************************************************************/

